<?
/*******************************************************************************
*    NOSpam 1.0.                                                               *
*    Copyright (C) 2002 Luca Bertoncello                                       *
*    Waltherstrae, 11D - 01067 Dresden Deutschland                            *
*    E-Mail: lucabert@lucabert.de, lucabert@lucabert.com                       *
*    http://www.lucabert.de/  http://www.lucabert.com/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

require('session.inc.php');

if($lang != '')
  {
    $session["language"]      = $lang;
    $reloadMain               = 1;
  }
else
  {
    $lang                     = $session["language"];
    $reloadMain               = 0;
  }

if($action == 'setData')
  {
    $session["popServer"]     = $popServer;
    $session["popUser"]       = $popUser;
    $session["popPassword"]   = $popPassword;
    $session["smtpServer"]    = $smtpServer;
    $session["eMail"]         = $eMail;
    $session["popLogged"]     = 'true';
    $reloadMain               = 1;
    $popLogged                = 'true';
  }
else
  if($action == 'logout')
    {
      $session["popServer"]   = '';
      $session["popUser"]     = '';
      $session["popPassword"] = '';
      $session["smtpServer"]  = '';
      $session["eMail"]       = '';
      $session["popLogged"]   = '';
      $popServer              = '';
      $popUser                = '';
      $popPassword            = '';
      $smtpServer             = '';
      $eMail                  = '';
      $popLogged              = '';
      $reloadMain             = 1;
    }
  else
    {
      $popServer              = $session["popServer"];
      $popUser                = $session["popUser"];
      $popPassword            = $session["popPassword"];
      $smtpServer             = $session["smtpServer"];
      $eMail                  = $session["eMail"];
      $popLogged              = $session["popLogged"];
    }

switch($lang)
  {
    case 'de':
      $popServerStr           = 'POP3 Server';
      $popUserStr             = 'Nutzerlogin';
      $popPwdStr              = 'Pa&szlig;wort';
      $smtpServerStr          = 'SMTP Server';
      $eMailStr               = 'E-Mail Adresse';
      $submitStr              = 'E-Mail-Liste lesen';
      $quitStr                = 'Abmelden';
    break;
    case 'en':
      $popServerStr           = 'POP3 Server';
      $popUserStr             = 'Login';
      $popPwdStr              = 'Password';
      $smtpServerStr          = 'SMTP Server';
      $eMailStr               = 'E-Mail Address';
      $submitStr              = 'Get E-Mail List';
      $quitStr                = 'Logout';
    break;
    case 'it':
      $popServerStr           = 'Server POP3';
      $popUserStr             = 'Login';
      $popPwdStr              = 'Password';
      $smtpServerStr          = 'Server SMTP';
      $eMailStr               = 'Indirizzo E-Mail';
      $submitStr              = 'Leggi lista E-Mail';
      $quitStr                = 'Logout';
    break;
  }
?>
<HTML>
<SCRIPT Language="JavaScript">
function reloadMain()
{
  top.main.location.reload(true);
}

function setFocus()
{
  document.logon.popPassword.focus();
}
</SCRIPT>
<BODY BGCOLOR="#DDFEFF"<? if($reloadMain == 1) {?> onLoad="reloadMain();"<?} if($popServer != '' && $popLogged != 'true') {?> onLoad="setFocus();"<?} ?>>
  <CENTER>
    <TABLE WIDTH="250" BORDER="0">
      <TR>
<?
switch($lang)
  {
    case 'de':
?>
        <TD WIDTH="33%" ALIGN="LEFT"><A HREF="<? print $PHP_SELF; ?>?lang=de&sid=<? print session_id(); ?>"><IMG SRC="deutsch.gif" BORDER="0" ALT="Deutsche Seiten"></A></TD>
        <TD WIDTH="33%" ALIGN="CENTER"><A HREF="<? print $PHP_SELF; ?>?lang=en&sid=<? print session_id(); ?>"><IMG SRC="english.gif" BORDER="0" ALT="English pages"></A></TD>
        <TD WIDTH="33%" ALIGN="RIGHT"><A HREF="<? print $PHP_SELF; ?>?lang=it&sid=<? print session_id(); ?>"><IMG SRC="italiano.gif" BORDER="0" ALT="Pagine in italiano"></A></TD>
<?
    break;
    case 'en':
?>
        <TD WIDTH="33%" ALIGN="LEFT"><A HREF="<? print $PHP_SELF; ?>?lang=en&sid=<? print session_id(); ?>"><IMG SRC="english.gif" BORDER="0" ALT="English pages"></A></TD>
        <TD WIDTH="33%" ALIGN="CENTER"><A HREF="<? print $PHP_SELF; ?>?lang=de&sid=<? print session_id(); ?>"><IMG SRC="deutsch.gif" BORDER="0" ALT="Deutsche Seiten"></A></TD>
        <TD WIDTH="33%" ALIGN="RIGHT"><A HREF="<? print $PHP_SELF; ?>?lang=it&sid=<? print session_id(); ?>"><IMG SRC="italiano.gif" BORDER="0" ALT="Pagine in italiano"></A></TD>
<?
    break;
    case 'it':
?>
        <TD WIDTH="33%" ALIGN="LEFT"><A HREF="<? print $PHP_SELF; ?>?lang=it&sid=<? print session_id(); ?>"><IMG SRC="italiano.gif" BORDER="0" ALT="Pagine in italiano"></A></TD>
        <TD WIDTH="33%" ALIGN="CENTER"><A HREF="<? print $PHP_SELF; ?>?lang=de&sid=<? print session_id(); ?>"><IMG SRC="deutsch.gif" BORDER="0" ALT="Deutsche Seiten"></A></TD>
        <TD WIDTH="33%" ALIGN="RIGHT"><A HREF="<? print $PHP_SELF; ?>?lang=en&sid=<? print session_id(); ?>"><IMG SRC="english.gif" BORDER="0" ALT="English pages"></A></TD>
<?
    break;
  }
?>
      </TR>
      <FORM NAME="logon" ACTION="<? print $PHP_SELF; ?>?action=<? if($popLogged == 'true') print "logout"; else print "setData"; ?>&sid=<? print session_id(); ?>" METHOD="POST">
      <TR>
        <TD ALIGN="LEFT"><? print $popServerStr; ?>:<BR><INPUT TYPE="TEXT" NAME="popServer" VALUE="<? print $popServer; ?>"></TD>
        <TD ALIGN="LEFT"><? print $popUserStr; ?>:<BR><INPUT TYPE="TEXT" NAME="popUser" VALUE="<? print $popUser; ?>"></TD>
        <TD ALIGN="LEFT"><? print $popPwdStr; ?>:<BR><INPUT TYPE="PASSWORD" NAME="popPassword" VALUE="<? print $popPassword; ?>"></TD>
      </TR>
      <TR>
        <TD ALIGN="LEFT"><? print $smtpServerStr; ?>:<BR><INPUT TYPE="TEXT" NAME="smtpServer" VALUE="<? print $smtpServer; ?>"></TD>
        <TD ALIGN="LEFT"><? print $eMailStr; ?>:<BR><INPUT TYPE="TEXT" NAME="eMail" VALUE="<? print $eMail; ?>"></TD>
        <TD ALIGN="RIGHT" VALIGN="BOTTOM"><INPUT TYPE="SUBMIT" VALUE="<? if($popLogged == 'true') print $quitStr; else print $submitStr; ?>"></TD>
      </TR>
      </FORM>
    </TABLE>
  </CENTER>
</BODY>
</HTML>